Saltar al contenido principal
GET
/
api
/
v1
/
core
/
participants
/
{ispb}
Consultar participante
curl --request GET \
  --url https://spi.sandbox.lerian.net/api/v1/core/participants/{ispb} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/core/participants/{ispb}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spi.sandbox.lerian.net/api/v1/core/participants/{ispb}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "<string>",
  "id": "<string>",
  "ispb": "<string>",
  "name": "<string>",
  "status": "<string>",
  "type": "<string>",
  "updatedAt": "<string>",
  "config": {
    "quotaDailyLimit": 123,
    "quotaTransactionLimit": 123,
    "routingPolicy": "<string>"
  },
  "sponsorISPB": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

JWT bearer token issued by the identity provider.

Parámetros de ruta

ispb
string
requerido

ISPB (8 numeric digits)

Ejemplo:

"12345678"

Respuesta

OK

createdAt
string
requerido

UTC timestamp when the participant was created, RFC 3339 format.

Ejemplo:

"2025-03-07T14:30:00Z"

id
string
requerido

Server-assigned UUID of the participant.

Ejemplo:

"550e8400-e29b-41d4-a716-446655440000"

ispb
string
requerido

ISPB of the participant, exactly 8 numeric digits.

Ejemplo:

"12345678"

name
string
requerido

Legal name of the participant institution.

Ejemplo:

"Banco Exemplo S.A."

status
string
requerido

Lifecycle state of the participant: ACTIVE, SUSPENDED, OFFBOARDED, PENDING (indirect reda.014 in flight), REGISTRATION_REJECTED (reda.016 REJT), or OFFBOARD_PENDING (reda.031 in flight).

Ejemplo:

"ACTIVE"

type
string
requerido

Connection type: DIRECT (connects directly to BACEN) or INDIRECT (routes through a sponsor).

Ejemplo:

"DIRECT"

updatedAt
string
requerido

UTC timestamp of the last update to the participant, RFC 3339 format.

Ejemplo:

"2025-03-07T14:30:00Z"

config
object

Quota and routing configuration; present only for indirect participants.

sponsorISPB
string

ISPB of the sponsoring participant (8 numeric digits); present only for INDIRECT participants.

Ejemplo:

""